#!/usr/bin/env bash

set -e

RES_PATH="$(dirname "$0")"

if [ -d "$1" ]
then
    REDOX_PATH="$1"
else
    echo "$0 [path to redox repository]" >&2
    exit 1
fi

set -x

# Update res/test.toml from the redoxer.toml template
cargo run --release --manifest-path "${RES_PATH}/../Cargo.toml" -- \
    --config="${REDOX_PATH}/config/x86_64/minimal-net.toml" \
    --output-config="${RES_PATH}/test.toml"
sed -i '1s/^/# Automatically generated by update.sh\n\n/' "${RES_PATH}/test.toml"
